/* 
 * html_color.cc -- 2-dim drawing surface
 *
 * This file is part of ePiX, a C++ library for creating high-quality 
 * figures in LaTeX 
 *
 * Version 1.2.2
 * Last Change: October 31, 2007
 */

/* 
 * Copyright (C) 2001, 2002, 2003, 2004, 2005, 2006, 2007
 * Andrew D. Hwang <rot 13 nujnat at zngupf dot ubylpebff dot rqh>
 * Department of Mathematics and Computer Science
 * College of the Holy Cross
 * Worcester, MA, 01610-2395, USA
 */

/*
 * ePiX is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * ePiX is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ePiX; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#include "epix/Color.h"
#include "html_color.h"

using namespace ePiX;

namespace ePiX {
  const unsigned int bits(0x100);
  const double dt(1.0/bits);

  ePiX::Color html_color(unsigned int arg)
  {
    const unsigned int blue(arg%bits);
    arg -= blue;
    arg /= bits;

    const unsigned int green(arg%bits);
    arg -= green;
    arg /= bits;

    const unsigned int red(arg%bits);

    return ePiX::RGB(red*dt, green*dt, blue*dt);
  }
} // end of namespace
